<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.hkicl.com.hk/tr" elementFormDefault="qualified" attributeFormDefault="unqualified"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:fpml="http://www.fpml.org/FpML-5/reporting"
	xmlns="http://www.hkicl.com.hk/tr">

	<xsd:import namespace="http://www.fpml.org/FpML-5/reporting" schemaLocation="hkicl-tr-fpml-extended.xsd" />
	<xsd:include schemaLocation="hkicl-tr-shared.xsd" />

	<xsd:complexType name="EventActivityReport">
		<xsd:complexContent>
			<xsd:extension base="fpml:EventActivityReport">
				<xsd:sequence>
					<xsd:element name="reportingFor" type="ReportingFor">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Indicates which of the trading parties the reporting party reports the trade for.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>					
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	
	<xsd:complexType name="EventActivityReportRetracted">
		<xsd:complexContent>
			<xsd:extension base="fpml:NotificationMessage">
				<xsd:sequence>
					<xsd:group ref="fpml:PartiesAndAccounts.model"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<xsd:complexType name="EventActivityReportStatus">
		<xsd:complexContent>
			<xsd:extension base="fpml:ResponseMessage">
				<xsd:sequence>
					<xsd:element name="status" type="fpml:EventStatus" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Defines the matching status of the event. Applicable for relink event only.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="tradeIdentifier" type="fpml:TradeIdentifier" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">It contains the TR trade reference of the trade involved. Not applicable for relink event.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:group ref="fpml:PartiesAndAccounts.model" minOccurs="0"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<!-- Element declaration -->
	<xsd:element name="eventActivityReport" type="EventActivityReport" >
		<xsd:annotation>
			<xsd:documentation xml:lang="en">It is used to either report a trade event or correct a previous reported trade event which is unmatched or not yet affirmed.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:element name="eventActivityReportRetracted" type="EventActivityReportRetracted">
		<xsd:annotation>
			<xsd:documentation xml:lang="en">It is used specifically to cancel a previously reported "Relink" trade event. It cannot be used to cancel other trade events.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:element name="eventActivityReportStatus" type="EventActivityReportStatus">
		<xsd:annotation>
			<xsd:documentation xml:lang="en">Response message that returns the status of an event that have been submitted for reporting.</xsd:documentation>
		</xsd:annotation>
	</xsd:element>

</xsd:schema>
